﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052B: (1 year) VER IEEE /5820A+5Ch
DATE:                  2010-08-03 14:12:03
AUTHOR:                Fluke
REVISION:              $Revision: 18573 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       182
CONFIGURATION:         Fluke 5820A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B IEEE-488 Interface
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test IEEE
#        Sub Tek TDS3000 Signal Path Compensation Cal IEEE
#        Sub Tek TDS3000B (1 yr) DCV IEEE /5800
#        Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800
#        Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS3000 Channel Select IEEE
#        Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5820                                                    C2
  1.003  5820         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.018  JMPL         END                              @Abort
  1.019  CALL         Sub UUT Connection GPIB

  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  MATH         @UUT_Model        = "TDS 3052B"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                           @Abort

  1.027  CALL         Sub Tek TDS3000 Check Firmware Version
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.030  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.033  JMPL         END                           @Abort

  1.034  DISP         Connect the 58xxA to the UUT as follows:
  1.034  DISP
  1.034  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.034  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.

  1.035  MATH         @Chan = 1
  1.036  M5800                                                    C1
  1.037  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5800

  1.038  MATH         @Chan = 2
  1.039  M5800                                                    C2
  1.040  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5800

  1.041  MATH         @Chan = 1
  1.042  M5800                                                    C1
  1.043  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800

  1.044  MATH         @Chan = 2
  1.045  M5800                                                    C2
  1.046  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800

  1.047  MATH         @Chan = 1
  1.048  M5800                                                    C1
  1.049  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800

  1.050  MATH         @Chan = 2
  1.051  M5800                                                    C2
  1.052  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800

  1.053  MATH         @Chan = 1
  1.054  M5800                                                    C1
  1.055  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800

  1.056  MATH         @Chan = 2
  1.057  M5800                                                    C2
  1.058  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800

  1.059  MATH         @Chan = 1
  1.060  M5800                                                    C1
  1.061  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5800

  1.062  LABEL        END
  1.063  HEAD         -2

  1.064  IF           @Abort
  1.065  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.066  ELSE
  1.067  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.068  ENDIF

  1.069  END
